port: 7890
socks-port: 7891
allow-lan: true
mode: rule
log-level: info
external-controller: 127.0.0.1:9090

proxy-groups:
  - name: select
    type: select
    proxies:
      - ChengYo
      - DIRECT

rules:
  - DOMAIN-SUFFIX,ping0.cc,select
  - DOMAIN-SUFFIX,kuaishou.com,select
  - DOMAIN-SUFFIX,mobgi.com,select
  - DOMAIN-SUFFIX,skylinking.net,select
  - GEOIP,CN,DIRECT
  - MATCH,DIRECT

proxies:
  - name: "ChengYo"
    type: vless
    server: shvpn.chengyo.top
    port: 30001
    uuid: 2f9c4c91-d07a-4679-8bfa-1e93b7dcb7f2
    network: tcp
    tls: true
